package cn.ibizlab.businesscentral.core.odoo_stock.client;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.*;
import cn.ibizlab.businesscentral.core.odoo_stock.domain.Stock_location_route;
import cn.ibizlab.businesscentral.core.odoo_stock.filter.Stock_location_routeSearchContext;
import org.springframework.stereotype.Component;

/**
 * 实体[stock_location_route] 服务对象接口
 */
@Component
public class stock_location_routeFallback implements stock_location_routeFeignClient{

    public Stock_location_route create(Stock_location_route stock_location_route){
            return null;
     }
    public Boolean createBatch(List<Stock_location_route> stock_location_routes){
            return false;
     }




    public Stock_location_route get(Long id){
            return null;
     }


    public Page<Stock_location_route> search(Stock_location_routeSearchContext context){
            return null;
     }


    public Stock_location_route update(Long id, Stock_location_route stock_location_route){
            return null;
     }
    public Boolean updateBatch(List<Stock_location_route> stock_location_routes){
            return false;
     }


    public Boolean remove(Long id){
            return false;
     }
    public Boolean removeBatch(Collection<Long> idList){
            return false;
     }

    public Page<Stock_location_route> select(){
            return null;
     }

}
